Skip to main content
GET
/
static-sites
/
{id}
/
metrics
/
slowest-requests
Get static site slowest requests
curl --request GET \
  --url https://api.sevalla.com/v3/static-sites/{id}/metrics/slowest-requests \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "abc123",
    "client_request_method": "GET",
    "client_request_path": "/api/users",
    "average_response_time_ms": 1250.5,
    "count_of_requests": 342
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token in the Authorization header.

Path Parameters

id
string<uuid>
required

Static site identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

Query Parameters

start
string<date-time>
required

Start of the time range in ISO 8601 format

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2026-02-22T14:30:00.000Z"

end
string<date-time>
required

End of the time range in ISO 8601 format

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2026-02-22T15:30:00.000Z"

interval_in_seconds
integer

Aggregation interval in seconds. Determines the granularity of time-series data points

Required range: x <= 9007199254740991
Example:

60

filters
string

JSON-encoded array of filter objects for advanced filtering. Each filter has a key, operator, and value or values field

Example:

"[{\"key\":\"path\",\"operator\":\"EQUALS\",\"value\":\"/api/users\"}]"

limit
integer
default:10

Maximum number of items to return (1-100)

Required range: 1 <= x <= 100
Example:

10

Response

Default Response

id
string
required

Unique identifier for this request group

Example:

"abc123"

client_request_method
string
required

HTTP method of the request

Example:

"GET"

client_request_path
string
required

URL path of the request

Example:

"/api/users"

average_response_time_ms
number
required

Average response time in milliseconds

Required range: x >= 0
Example:

1250.5

count_of_requests
number
required

Number of requests matching this method and path

Required range: x >= 0
Example:

342